package com.bwie.auth.controller;

import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.User;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：蓬叁
 * @Package：com.bwie.auth.controller
 * @Project：maven-day13-exam
 * @name：AuthController
 * @Date：2024/8/1 上午8:59
 */
@RestController
@RequestMapping("/auth")
public class AuthController {

    @Autowired private AuthService authService;

    @PostMapping("/login")
    public Result<JwtResponse> login(@RequestBody User user){
        Result<JwtResponse> result = authService.login(user);
        return result;
    }

}
